다음을 통해 공유


Region Healths - Get

지역의 요청된 상태를 반환합니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/{location}?api-version=2016-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
location
path True

string

지역 이름

resourceGroupName
path True

string

리소스 그룹의 이름입니다.

subscriptionId
path True

string

Microsoft Azure 구독을 고유하게 식별하는 구독 자격 증명입니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다.

api-version
query True

string

클라이언트 API 버전입니다.

응답

Name 형식 Description
200 OK

RegionHealth

그래

보안

azure_auth

권한 부여는 Azure Active Directory OAuth2 흐름을 사용합니다.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Returns the requested health status of a region.

샘플 요청

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local?api-version=2016-05-01

샘플 응답

{
  "id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.InfrastructureInsights.Admin/regionHealths/local",
  "name": "local",
  "type": "Microsoft.InfrastructureInsights.Admin/regionHealths",
  "location": "local",
  "tags": {},
  "properties": {
    "usageMetrics": [
      {
        "name": "Physical memory",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "GB",
            "value": 76.24941635131836
          },
          {
            "name": "Available",
            "unit": "GB",
            "value": 181.7333984375
          }
        ]
      },
      {
        "name": "Physical storage",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "TB",
            "value": 0.22170669212937355
          },
          {
            "name": "Available",
            "unit": "TB",
            "value": 2.2449070774018764
          }
        ]
      },
      {
        "name": "Public IP address pools",
        "metricsValue": [
          {
            "name": "Used",
            "unit": "One",
            "value": 31
          },
          {
            "name": "Available",
            "unit": "One",
            "value": 480
          }
        ]
      }
    ],
    "alertSummary": {
      "criticalAlertCount": 0,
      "warningAlertCount": 2
    }
  }
}

정의

Name Description
AlertSummary

경고 요약입니다.

Metrics

원본에 대한 메트릭입니다.

MetricsSourceType

메트릭의 원본입니다.

MetricsUnit

메트릭의 단위입니다.

RegionHealth

지역 상태와 관련된 정보를 포함합니다.

UsageMetrics

리소스 사용량 메트릭입니다.

AlertSummary

경고 요약입니다.

Name 형식 Description
criticalAlertCount

integer

서비스에 대한 중요한 경고 수입니다.

warningAlertCount

integer

서비스에 대한 경고 경고 수입니다.

Metrics

원본에 대한 메트릭입니다.

Name 형식 Description
maCounterName

string

카운터의 이름입니다.

name

string

사용 메트릭의 이름입니다.

observedTimestamp

string (date-time)

시간 카운터가 관찰되었습니다.

sourceName

MetricsSourceType

원본의 이름입니다.

sourceType

string

원본의 형식입니다.

unit

MetricsUnit

메트릭의 단위입니다.

value

number (double)

사용 메트릭의 이름입니다.

MetricsSourceType

메트릭의 원본입니다.

Description
PhysicalNode
VirtualMachine
ResourceProvider

MetricsUnit

메트릭의 단위입니다.

Description
One
Percentage
B
KB
MB
GB
TB

RegionHealth

지역 상태와 관련된 정보를 포함합니다.

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID

location

string

리소스가 있는 Azure 지역

name

string

리소스의 이름

properties.alertSummary

AlertSummary

경고 요약입니다.

properties.usageMetrics

UsageMetrics[]

지역의 사용 메트릭 목록입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다.

UsageMetrics

리소스 사용량 메트릭입니다.

Name 형식 Description
metricsValue

Metrics[]

사용 메트릭 목록입니다.

name

string

사용 메트릭의 이름입니다.